import usb

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_SET_LED1   = 2
def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle= board.open()
play1=0
play2=0
while(1) :
    print '----------'
    print 'Main Menu'
    print '----------'
    print '1. Play Game'
    print '2. Show Score'
    print '3. Reset Score'
    print '4. Quit'
    ch=raw_input('Enter Choice : ')
    a=0
    hp1=0
    sp1=0
    pp1=0
    hp2=0
    sp2=0
    pp2=0
    w1=0
    w2=0
    if ch is '1':
        req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        x = handle.controlMsg(req, 1, 6)
        if x[3] is 1:
            if x[4]  != 1 and x[5] != 1:
                hp1=1
            else:
                print 'No Cheat player 1'
                a=1
        elif x[4] is 1:
            if x[3] != 1 and x[5] != 1:
                sp1=1
            else:
                print 'No Cheat player 1'
                a=1
        elif x[5] is 1:
            if x[3] != 1 and x[4] != 1:
                pp1=1
            else:
                print 'No Cheat player 1'
                a=1
        else:
            print 'Player 1 Please Choose'
            a=1

        if x[0] is 1:
            if x[1]  != 1 and x[2] != 1:
                hp2=1
            else:
                print 'No cheat player 2'
                a=1
        elif x[1] is 1:
            if x[0] != 1 and x[2] != 1:
                sp2=1
            else:
                print 'No cheat player 2'
                a=1
        elif x[2] is 1:
            if x[0] != 1 and x[1] != 1:
                pp2=1
            else:
                print 'No cheat player 2'  
                a=1
        else:
            print 'Player 2 Please Choose'
            a=1
        if a is 1:
            continue
        if hp1 is 1:
            print 'Player 1 : Hammer'
        elif sp1 is 1:
            print 'Player 1 : Scissors'
        elif pp1 is 1:
            print 'Player 1 : Paper'
        if hp2 is 1:
            print 'Player 2 : Hammer'
        elif sp2 is 1:
            print 'Player 2 : Scissors'
        elif pp2 is 1:
            print 'Player 2 : Paper'
        if hp1 is 1:
            if hp2 is 1:
                print 'Draw'
            elif sp2 is 1:
                print 'Player 1 Win'
                play1=play1+1
                w1=1
            elif pp2 is 1:
                print 'Player 2 Win'
                play2=play2+1
                w2=1
        elif sp1 is 1:
            if hp2 is 1:
                print 'Player 2 Win'
                play2=play2+1
                w2=1
            elif sp2 is 1:
                print 'Draw'
            elif pp2 is 1:
                print 'Player 1 Win'
                play1=play1+1
                w1=1
        elif pp1 is 1:
            if hp2 is 1:
                print 'Player 1 Win'
                play1=play1+1
                w1=1
            elif sp2 is 1:
                print 'Player 2 Win'
                play2=play2+1
                w2=1
            elif pp2 is 1:
                print 'Draw'
        req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        if w1 is 1:
            handle.controlMsg(req, 0, None, value=0x0104)
            handle.controlMsg(req, 2, None, value=0x0103)
        elif w2 is 1:
            handle.controlMsg(req, 0, None, value=0x0103)
            handle.controlMsg(req, 2, None, value=0x0104)
        print 'Press Any Key To Continue'
        raw_input()
        handle.controlMsg(req, 0, None, value=0x0004)
        handle.controlMsg(req, 0, None, value=0x0003)
        handle.controlMsg(req, 2, None, value=0x0004)
        handle.controlMsg(req, 2, None, value=0x0003)
                
    elif ch is '2':
        print 'Player 1 ',play1,' - ',play2,' Player 2'
    elif ch is '3':
        play1=0
        play2=0
    elif ch is '4':
        break


     
